Bug 838540 - Review Request: gfal2-plugin-xrootd - Provides xrootd access for GFAL2
Review Request: gfal2-plugin-xrootd - Provides xrootd access for GFAL2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 08:21 EDT by David Cameron
Modified: 2013-10-19 10:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 09:03:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Cameron 2012-07-09 08:21:40 EDT
Spec URL: https://dcameron.web.cern.ch/dcameron/dev/rpmbuild/SPECS/gfal2-plugin-xrootd.spec
SRPM URL: https://dcameron.web.cern.ch/dcameron/dev/rpmbuild/SRPMS/gfal2-plugin-xrootd-0.1.0-1.el6.src.rpm
Description: Provides xrootd (root://) support for gfal2.
Fedora Account System Username: dcameron

This is my first package and a sponsor is needed. I am the upstream maintainer.

Scratch build on f18: http://koji.fedoraproject.org/koji/taskinfo?taskID=4226838
Comment 1 David Cameron 2012-07-10 05:54:44 EDT
Link to SRPM compatible with EPEL 5: https://dcameron.web.cern.ch/dcameron/dev/rpmbuild/SRPMS/gfal2-plugin-xrootd-0.1.0-1.src.rpm
Comment 2 David Cameron 2012-07-18 08:42:00 EDT
Informal reviews I have done of other packages:

https://bugzilla.redhat.com/show_bug.cgi?id=839395
https://bugzilla.redhat.com/show_bug.cgi?id=836749
Comment 3 Danishka Navin 2012-07-27 02:55:13 EDT
Here is my informal review


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[ ]: MUST Package does not contain kernel modules.
[ ]: MUST Package contains no static executables.
[ ]: MUST Rpath absent or only used for internal libs.
[ ]: MUST Package is not relocatable.
[!]: MUST Development .so files in -devel subpackage, if present.
     Note: gfal2-plugin-xrootd-0.1.0-1.fc18.i686.rpm :
     /usr/lib/gfal2-plugins/libgfal_plugin_xrootd.so


==== Generic ====
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[ ]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[ ]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
[ ]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generates any conflict.
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint gfal2-plugin-xrootd-0.1.0-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint gfal2-plugin-xrootd-debuginfo-0.1.0-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint gfal2-plugin-xrootd-0.1.0-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/danishka/838540/gfal2-plugin-xrootd-0.1.0.tar.gz :
  MD5SUM this package     : 1aebe31ff5116aa1ab727fd5da2f6405
  MD5SUM upstream package : 1aebe31ff5116aa1ab727fd5da2f6405

[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[ ]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Development .so files in -devel subpackage, if present.
     Note: gfal2-plugin-xrootd-0.1.0-1.fc18.i686.rpm :
     /usr/lib/gfal2-plugins/libgfal_plugin_xrootd.so
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5


Generated by fedora-review 0.1.2
Comment 4 David Cameron 2012-08-02 08:52:07 EDT
Thanks for the feedback!

In response to the first issue, the library in this package is a plugin and so does not need to be in a devel package.

http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages "..some software generates unversioned shared objects which are not intended to be used as system libraries. These files are usually plugins or modular functionality specific to an application ... In these cases, the unversioned shared objects do not need to be placed in a -devel package."

For the other issues, I intend to support EPEL5 and so those extra pieces in the spec file are needed.
Comment 5 David Cameron 2012-08-10 06:07:50 EDT
A couple more informal reviews I have done of other packages:

https://bugzilla.redhat.com/show_bug.cgi?id=846234
https://bugzilla.redhat.com/show_bug.cgi?id=829713
Comment 6 Jason Tibbitts 2013-06-04 21:32:36 EDT
I am triaging old review tickets.  I can't promise a review if you reply, but by closing out the stale tickets we can devote extra attention to the ones which aren't stale.

Unfortunately this fails to build for me, with:

configure: error: Could not find xrootd headers

Here is a scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5468451
Comment 7 David Cameron 2013-07-04 04:31:26 EDT
I am no longer the upstream maintainer of this package. Please feel free to close this ticket.

Note You need to log in before you can comment on or make changes to this bug.